<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: createSystemConsts.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('create_system_consts_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">createSystemConsts.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;dirent.h&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
<code>#include &lt;<a class="el" href="recursive_hierarch_search_8hpp_source.html">recursiveHierarchSearch.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for createSystemConsts.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="create_system_consts_8hpp__incl.png" border="0" usemap="#create_system_consts_8hpp" alt=""/></div>
<map name="create_system_consts_8hpp" id="create_system_consts_8hpp">
<area shape="rect" title=" " alt="" coords="1213,5,1397,32"/>
<area shape="rect" title=" " alt="" coords="5,80,85,107"/>
<area shape="rect" title=" " alt="" coords="110,80,183,107"/>
<area shape="rect" title=" " alt="" coords="208,80,275,107"/>
<area shape="rect" title=" " alt="" coords="299,80,365,107"/>
<area shape="rect" title=" " alt="" coords="389,80,456,107"/>
<area shape="rect" title=" " alt="" coords="480,80,555,107"/>
<area shape="rect" title=" " alt="" coords="579,80,653,107"/>
<area shape="rect" title=" " alt="" coords="677,80,736,107"/>
<area shape="rect" title=" " alt="" coords="760,80,827,107"/>
<area shape="rect" title=" " alt="" coords="851,80,925,107"/>
<area shape="rect" title=" " alt="" coords="949,80,1035,107"/>
<area shape="rect" title=" " alt="" coords="1059,80,1101,107"/>
<area shape="rect" title=" " alt="" coords="1126,80,1250,107"/>
<area shape="rect" title=" " alt="" coords="1274,80,1337,107"/>
<area shape="rect" title=" " alt="" coords="1361,80,1457,107"/>
<area shape="rect" title=" " alt="" coords="1481,80,1553,107"/>
<area shape="rect" title=" " alt="" coords="989,155,1152,196"/>
<area shape="rect" title=" " alt="" coords="1176,155,1339,196"/>
<area shape="rect" title=" " alt="" coords="1363,155,1525,196"/>
<area shape="rect" title=" " alt="" coords="1550,155,1725,196"/>
<area shape="rect" title=" " alt="" coords="1749,155,1923,196"/>
<area shape="rect" title=" " alt="" coords="1947,155,2122,196"/>
<area shape="rect" title=" " alt="" coords="2147,162,2291,189"/>
<area shape="rect" title=" " alt="" coords="2315,155,2464,196"/>
<area shape="rect" title=" " alt="" coords="2489,162,2623,189"/>
<area shape="rect" title=" " alt="" coords="2648,162,2861,189"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html" title=" " alt="" coords="1831,80,2041,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="create_system_consts_8hpp__dep__incl.png" border="0" usemap="#create_system_consts_8hppdep" alt=""/></div>
<map name="create_system_consts_8hppdep" id="create_system_consts_8hppdep">
<area shape="rect" title=" " alt="" coords="5,5,189,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="23,80,171,121"/>
</map>
</div>
</div>
<p><a href="create_system_consts_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad1005bb465930080003dbdcf2ce14266"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_system_consts_8hpp.html#ad1005bb465930080003dbdcf2ce14266">defineRecHierarachSearch</a></td></tr>
<tr class="separator:ad1005bb465930080003dbdcf2ce14266"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a75e7bf913eb2009732091592cacf2f94"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94">visitSystemConst</a> (std::string ident)</td></tr>
<tr class="separator:a75e7bf913eb2009732091592cacf2f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bb7ea22049580df89596ee335e73ece"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece">createSystemConst</a> ()</td></tr>
<tr class="separator:a5bb7ea22049580df89596ee335e73ece"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad1005bb465930080003dbdcf2ce14266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1005bb465930080003dbdcf2ce14266">&#9670;&nbsp;</a></span>defineRecHierarachSearch</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define defineRecHierarachSearch</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5bb7ea22049580df89596ee335e73ece"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bb7ea22049580df89596ee335e73ece">&#9670;&nbsp;</a></span>createSystemConst()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createSystemConst </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_system_consts_8hpp_a5bb7ea22049580df89596ee335e73ece_cgraph.png" border="0" usemap="#create_system_consts_8hpp_a5bb7ea22049580df89596ee335e73ece_cgraph" alt=""/></div>
<map name="create_system_consts_8hpp_a5bb7ea22049580df89596ee335e73ece_cgraph" id="create_system_consts_8hpp_a5bb7ea22049580df89596ee335e73ece_cgraph">
<area shape="rect" title=" " alt="" coords="5,56,155,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="211,5,331,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="627,56,737,83"/>
<area shape="rect" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94" title=" " alt="" coords="203,183,339,209"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="387,5,547,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea" title=" " alt="" coords="634,107,730,133"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="624,259,740,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="641,309,723,336"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="405,208,529,235"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a7698b98c647502bfaa8d3f5f980a4db6" title=" " alt="" coords="627,157,737,184"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="595,208,769,235"/>
</map>
</div>

</div>
</div>
<a id="a75e7bf913eb2009732091592cacf2f94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75e7bf913eb2009732091592cacf2f94">&#9670;&nbsp;</a></span>visitSystemConst()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void visitSystemConst </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>ident</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_system_consts_8hpp_a75e7bf913eb2009732091592cacf2f94_cgraph.png" border="0" usemap="#create_system_consts_8hpp_a75e7bf913eb2009732091592cacf2f94_cgraph" alt=""/></div>
<map name="create_system_consts_8hpp_a75e7bf913eb2009732091592cacf2f94_cgraph" id="create_system_consts_8hpp_a75e7bf913eb2009732091592cacf2f94_cgraph">
<area shape="rect" title=" " alt="" coords="5,132,141,159"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="394,5,503,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea" title=" " alt="" coords="401,56,497,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="391,208,507,235"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="407,259,490,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="189,132,313,159"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a7698b98c647502bfaa8d3f5f980a4db6" title=" " alt="" coords="394,107,503,133"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="361,157,536,184"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_system_consts_8hpp_a75e7bf913eb2009732091592cacf2f94_icgraph.png" border="0" usemap="#create_system_consts_8hpp_a75e7bf913eb2009732091592cacf2f94_icgraph" alt=""/></div>
<map name="create_system_consts_8hpp_a75e7bf913eb2009732091592cacf2f94_icgraph" id="create_system_consts_8hpp_a75e7bf913eb2009732091592cacf2f94_icgraph">
<area shape="rect" title=" " alt="" coords="203,5,339,32"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="create_system_consts_8hpp.html">createSystemConsts.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
